version: '2'
services:
  puppeteer:
    build: .
    command: npm run dev
    environment:
      APP_NAME: SharePointAddIn1
      SITE_URL: https://trywizdom.sharepoint.com/sites/CHSinstalltest
      APP_CATALOG_URL: https://trywizdom.sharepoint.com/sites/appcatalog
      USERNAME: admin@trywizdom.onmicrosoft.com
      PASSWORD: wtHerlev2730!
      WAIT_TIME: 4000
      REASON: Automatic installation
    ports:
      - "9229:9229"
    volumes:
      - .:/usr/src/app
      - /usr/src/app/node_modules